Name:		udev-rules-hs3110
Version:	1.1
Release:	2%{?dist}
Summary:	Udev rules adding support for HP hs3110+ HSPA broadband modem

License:	GPLv3
URL:		https://gitlab.com/tofik-rpms/udev
Source0:	70-hs3110.rules
Source1:        78-mm-whitelist-hs3110.rules

BuildArch:	noarch

%if 0%{?fedora}
Requires:	systemd-udev
%endif

%if 0%{?rhel}
Requires:	systemd
%endif

%{?systemd_requires}
BuildRequires:	systemd

%description
Udev rules adding support for HP hs3110+ HSPA broadband modem

%build

%install
install -d 755 %{buildroot}%{_udevrulesdir}
install -pm 644 %{SOURCE0} %{buildroot}%{_udevrulesdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_udevrulesdir}

%files
%defattr(-,root,root,-)
%{_udevrulesdir}/70-hs3110.rules
%{_udevrulesdir}/78-mm-whitelist-hs3110.rules

%post
%udev_rules_update

%postun
%udev_rules_update

%changelog
* Wed Jul 24 2024 Jerzy Drozdz <jerzy.drozdz@jdsieci.pl> - 1.1-2
- spec file updated to fit new repository

* Sun Nov 07 2021 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 1.1-1
- added forcing whitelist in ModemManager

* Sun Oct 01 2017 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 1.0-2
- added %post and %postun scriptlets

* Sat Sep 30 2017 Jerzy Drozdz <rpmbuilder@jdsieci.pl> - 1.0-1
- initial build
